%define name    suil
%define version 0.10.14
%define release 36.1

Name: suil
Version: 0.10.14
Release: 36.1.rncbc.suse
Summary:	Lightweight C library for loading and wrapping LV2 plugin UIs
Source:		http://download.drobilla.net/%{name}-%{version}.tar.xz
URL:		http://drobilla.net/software/%{name}/
License:	ISC
Group:		System/Libraries

BuildRequires:	coreutils
%if %{defined fedora}
BuildRequires:	pkgconfig
BuildRequires:	ninja-build
%else
BuildRequires:	pkg-config
BuildRequires:	ninja
%endif
BuildRequires:	meson
BuildRequires:	glibc-devel
BuildRequires:	gcc-c++
BuildRequires:	python python3 python3-rdflib
BuildRequires:	lv2-devel
BuildRequires:	gtk2-devel
BuildRequires:	gtk3-devel
%if %{defined fedora}
BuildRequires:	qt5-qtbase, qt5-qtbase-devel
BuildRequires:	qt5-qtx11extras-devel
BuildRequires:	libusbx-devel
%else
BuildRequires:	libqt5-qtbase, libqt5-qtbase-devel
BuildRequires:	libqt5-qtx11extras-devel
%endif

%description
Suil is a lightweight C library for loading and wrapping LV2 plugin UIs.

Suil makes it possible to load a UI of any toolkit in a host using any
other toolkit (assuming the toolkits are both supported by Suil).
Hosts do not need to build against or link to foreign toolkit libraries
to use UIs written with that toolkit (Suil performs its magic at
runtime using dynamically loaded modules). The API is designed such that
hosts do not need to explicitly support particular toolkits whatsoever.
If Suil supports a particular toolkit, then all hosts that use Suil will
support that toolkit.

#-----------------------------------
%define _lib_major 0
%define _lib_name lib%{name}-%{_lib_major}-0
%define _lib_name_devel lib%{name}-devel

%if %{defined fedora}
%define debug_package %{nil}
%endif

#-----------------------------------
%package -n %{_lib_name}

Summary:	Lightweight C library for loading and wrapping LV2 plugin UIs
Group:		System/Libraries

%description -n %{_lib_name}
Suil is a lightweight C library for loading and wrapping LV2 plugin UIs.

Suil makes it possible to load a UI of any toolkit in a host using any
other toolkit (assuming the toolkits are both supported by Suil).
Hosts do not need to build against or link to foreign toolkit libraries
to use UIs written with that toolkit (Suil performs its magic at
runtime using dynamically loaded modules). The API is designed such that
hosts do not need to explicitly support particular toolkits whatsoever.
If Suil supports a particular toolkit, then all hosts that use Suil will
support that toolkit.

%files -n %{_lib_name}
%defattr(-,root,root,-)
%doc COPYING NEWS README.md
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-%{_lib_major}.so.*
%dir %{_libdir}/%{name}-%{_lib_major}/
%{_libdir}/%{name}-%{_lib_major}/lib%{name}_x11.so

#-----------------------------------
%package -n %{_lib_name_devel}
Summary:	Lightweight C library for loading and wrapping LV2 plugin UIs - development files
Group:		Development/Libraries
Requires:	pkgconfig
Requires:	%{_lib_name} >= %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{_lib_name_devel}
Development files needed to build applications against suil.

%files -n %{_lib_name_devel}
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-%{_lib_major}.so
%dir %{_includedir}/%{name}-%{_lib_major}/
%dir %{_includedir}/%{name}-%{_lib_major}/%{name}
%{_includedir}/%{name}-%{_lib_major}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}-%{_lib_major}.pc

#-----------------------------------
%package -n lib%{name}-qt5-in-gtk2
Summary:	Shared object for GTK2 hosts displaying Qt5 LV2 GUIs
Group:		System/Libraries
Requires:	python-qt5 python-devel
%if %{defined fedora}
BuildRequires:	qt5-qtbase, qt5-qtbase-devel
%else
BuildRequires:	libqt5-qtbase, libqt5-qtbase-devel
%endif
Requires:	%{_lib_name} >= %{version}
Provides:	%{name}-qt5-in-gtk2 = %{version}-%{release}

%description -n lib%{name}-qt5-in-gtk2
Shared object for GTK2 hosts displaying Qt5 LV2 GUIs

%files -n lib%{name}-qt5-in-gtk2
%defattr(-,root,root,-)
%dir %{_libdir}/%{name}-%{_lib_major}/
%{_libdir}/%{name}-%{_lib_major}/lib%{name}_qt5_in_gtk2.so

#-----------------------------------
%package -n lib%{name}-qt5-in-gtk3
Summary:	Shared object for GTK3 hosts displaying Qt5 LV2 GUIs
Group:		System/Libraries
Requires:	python-qt5 python-devel
%if %{defined fedora}
BuildRequires:	qt5-qtbase, qt5-qtbase-devel
%else
BuildRequires:	libqt5-qtbase, libqt5-qtbase-devel
%endif
Requires:	%{_lib_name} >= %{version}
Provides:	%{name}-qt5-in-gtk3 = %{version}-%{release}

%description -n lib%{name}-qt5-in-gtk3
Shared object for GTK3 hosts displaying Qt5 LV2 GUIs

%files -n lib%{name}-qt5-in-gtk3
%defattr(-,root,root,-)
%dir %{_libdir}/%{name}-%{_lib_major}/
%{_libdir}/%{name}-%{_lib_major}/lib%{name}_qt5_in_gtk3.so

#-----------------------------------
%package -n lib%{name}-gtk2-in-qt5
Summary:	Shared object for Qt5 hosts displaying GTK2 LV2 GUIs
Group:		System/Libraries
Requires:	gtk2-tools gtk2-devel
Requires:	%{_lib_name} >= %{version}
Provides:	%{name}-gtk2-in-qt5 = %{version}-%{release}

%description -n lib%{name}-gtk2-in-qt5
Shared object for Qt5 hosts displaying GTK2 LV2 GUIs
	
%files -n lib%{name}-gtk2-in-qt5
%defattr(-,root,root,-)
%dir %{_libdir}/%{name}-%{_lib_major}/
%{_libdir}/%{name}-%{_lib_major}/lib%{name}_gtk2_in_qt5.so

#-----------------------------------
%package -n lib%{name}-x11-in-gtk2
Summary:	Shared object for GTK2 hosts displaying X11 LV2 GUIs
Group:		System/Libraries
Requires:	%{_lib_name} >= %{version}
Provides:	%{name}-x11-in-gtk2 = %{version}-%{release}

%description -n lib%{name}-x11-in-gtk2
Shared object for GTK2 hosts displaying X11 LV2 GUIs
	
%files -n lib%{name}-x11-in-gtk2
%defattr(-,root,root,-)
%dir %{_libdir}/%{name}-%{_lib_major}/
%{_libdir}/%{name}-%{_lib_major}/lib%{name}_x11_in_gtk2.so

#-----------------------------------
%package -n lib%{name}-x11-in-gtk3
Summary:	Shared object for GTK3 hosts displaying X11 LV2 GUIs
Group:		System/Libraries
Requires:	%{_lib_name} >= %{version}
Provides:	%{name}-x11-in-gtk3 = %{version}-%{release}

%description -n lib%{name}-x11-in-gtk3
Shared object for GTK3 hosts displaying X11 LV2 GUIs
	
%files -n lib%{name}-x11-in-gtk3
%defattr(-,root,root,-)
%dir %{_libdir}/%{name}-%{_lib_major}/
%{_libdir}/%{name}-%{_lib_major}/lib%{name}_x11_in_gtk3.so

#-----------------------------------
%package -n lib%{name}-x11-in-qt5
Summary:	Shared object for Qt5 hosts displaying x11 LV2 GUIs
Group:		System/Libraries
Requires:	%{_lib_name} >= %{version}
Provides:	%{name}-x11-in-qt5 = %{version}-%{release}

%description -n lib%{name}-x11-in-qt5
Shared object for Qt5 hosts displaying x11 LV2 GUIs
	
%files -n lib%{name}-x11-in-qt5
%defattr(-,root,root,-)
%dir %{_libdir}/%{name}-%{_lib_major}/
%{_libdir}/%{name}-%{_lib_major}/lib%{name}_x11_in_qt5.so

#-----------------------------------
%prep
%setup -q

%build
meson --prefix=%{_prefix} build

%install
DESTDIR=%{buildroot} \
meson install -C build

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "/" ] && %__rm -rf "%{buildroot}"

%post -n %{_lib_name}
/sbin/ldconfig

%postun -n %{_lib_name}
/sbin/ldconfig

#-----------------------------------
%changelog

* Tue Jul 19 2022 Rui Nuno Capela <rncbc@rncbc.org> - 0.10.14
- New upstream release.
* Fri May 27 2022 Rui Nuno Capela <rncbc@rncbc.org> - 0.10.12
- New upstream release.
* Thu Jan  7 2021 Rui Nuno Capela <rncbc@rncbc.org> - 0.10.10
- New upstream release.
* Sun Sep 27 2020 Rui Nuno Capela <rncbc@rncbc.org> - 0.10.8
- New upstream release.
* Tue Nov 12 2019 Rui Nuno Capela <rncbc@rncbc.org> - 0.10.6
- New upstream release.
* Thu Jun  6 2019 Rui Nuno Capela <rncbc@rncbc.org> - 0.10.4
- New upstream release.
* Thu Dec 20 2018 Rui Nuno Capela <rncbc@rncbc.org> - 0.10.2
- New upstream release.
* Wed Oct  4 2017 Rui Nuno Capela <rncbc@rncbc.org> - 0.10.0
- New upstream release.
* Mon Sep 19 2016 Rui Nuno Capela <rncbc@rncbc.org> - 0.8.4
- New upstream release.
* Sat Aug  9 2014 Rui Nuno Capela <rncbc@rncbc.org> - 0.8.2
- New upstream release.
* Sun Jan  5 2014 Rui Nuno Capela <rncbc@rncbc.org> - 0.8.0
- New upstream release.
* Wed Sep 18 2013 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.16
- New upstream release.
* Mon Aug 19 2013 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.14
- New upstream release.
* Sat Feb 23 2013 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.12
- New upstream release.
* Sat Dec 22 2012 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.10
- New upstream release.
* Wed Nov 14 2012 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.6
- New upstream release.
* Mon Jul  9 2012 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.4
- New upstream release.
* Fri May 25 2012 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.2
- Second spec build.
* Fri May 11 2012 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.0
- Initial spec build.
